aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-gtk/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-04-26 09:18:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-04-26 09:18:35 +0000
commitabbc54b57d137e56bde8b434fa97caf5ed20db50 (patch)
treeeca0b39d06a692a79d62276a008931def66197ab /main/py-gtk/APKBUILD
parent180700192ce9edd99c66a7c91adbe2593dedc864 (diff)
downloadaports-abbc54b57d137e56bde8b434fa97caf5ed20db50.tar.gz
aports-abbc54b57d137e56bde8b434fa97caf5ed20db50.tar.bz2
aports-abbc54b57d137e56bde8b434fa97caf5ed20db50.tar.xz
main/py-gtk: fix file location, remove pyc
Diffstat (limited to 'main/py-gtk/APKBUILD')
-rw-r--r--main/py-gtk/APKBUILD28
1 files changed, 24 insertions, 4 deletions
diff --git a/main/py-gtk/APKBUILD b/main/py-gtk/APKBUILD
index 057921c71d..cc01d3bc8f 100644
--- a/main/py-gtk/APKBUILD
+++ b/main/py-gtk/APKBUILD
@@ -1,17 +1,35 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=py-gtk
pkgver=2.24.0
-pkgrel=4
+pkgrel=5
pkgdesc="Python bindings for the GTK widget set"
url="http://www.pygtk.org/"
arch="all"
license="LGPL"
depends="py-cairo py-gobject"
-makedepends="libglade-dev py-cairo-dev py-gobject-dev python-dev libffi-dev"
-source="http://ftp.gnome.org/pub/gnome/sources/pygtk/${pkgver%.*}/pygtk-$pkgver.tar.bz2"
+makedepends="libglade-dev py-cairo-dev py-gobject-dev python-dev libffi-dev
+ autoconf automake libtool"
+source="http://ftp.gnome.org/pub/gnome/sources/pygtk/${pkgver%.*}/pygtk-$pkgver.tar.bz2
+ pygtk-2.13.0-fix-codegen-location.patch
+ pygtk-2.14.1-libdir-pc.patch
+ "
subpackages="$pkgname-dev $pkgname-doc $pkgname-demo"
_builddir="$srcdir"/pygtk-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ # disable pyc
+ echo '#!/bin/sh' > py-compile
+ libtoolize --force \
+ && aclocal -I m4 && autoconf && automake || return 1
+}
+
build() {
cd "$_builddir"
./configure --prefix=/usr || return 1
@@ -41,4 +59,6 @@ demo() {
mv "$pkgdir"/usr/lib/pygtk/2.0/*demo* \
"$subpkgdir"/usr/lib/pygtk/2.0/
}
-md5sums="a1051d5794fd7696d3c1af6422d17a49 pygtk-2.24.0.tar.bz2"
+md5sums="a1051d5794fd7696d3c1af6422d17a49 pygtk-2.24.0.tar.bz2
+5c78e882d06e4f97371debceca7bd4c4 pygtk-2.13.0-fix-codegen-location.patch
+7ea85705916198f7cad29073ecd03d10 pygtk-2.14.1-libdir-pc.patch"